commit:     0835a00bcd6945fb0454d188620f2d0574806556
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  9 09:18:35 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  9 09:36:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0835a00b

dev-python/async_generator: Enable python3.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/async_generator/async_generator-1.10.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-python/async_generator/async_generator-1.10.ebuild 
b/dev-python/async_generator/async_generator-1.10.ebuild
index 4f66a0f2a6d..b34be84f483 100644
--- a/dev-python/async_generator/async_generator-1.10.ebuild
+++ b/dev-python/async_generator/async_generator-1.10.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7..9} pypy3 )
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
 
 inherit distutils-r1
 
@@ -19,7 +19,7 @@ DOCS=( README.rst )
 
 python_test() {
        pushd "${BUILD_DIR}/lib" >/dev/null || die
-       pytest -vv || die "Tests fail with ${EPYTHON}"
-       rm -rf .pytest_cache || die
+       epytest
+       rm -rf .hypothesis .pytest_cache || die
        popd >/dev/null || die
 }

Reply via email to